%global npmname sigmund
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Quick and dirty signatures for Objects 
Name: nodejs-%{npmname}
Version: 1.0.0
Release: 1%{?dist}
Group: Development/Languages
License: BSD
URL: http://github.com/isaacs/sigmund
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Quick and dirty signatures for Objects.

This is like a much faster `deepEquals` comparison, which returns a
string key suitable for caches and the like.


%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr bench.js sigmund.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries

%files
%doc LICENSE README.md 
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Initial build using nodejs spec template

